
import system from './index' // 系统首页

import channelManger from './channelManager/index' // 渠道管理
import channelList from './channelManager/channelList/index' // 渠道列表

import caseManger from './caseManger/index' // 案场管理
import caseInfo from './caseManger/caseInfo/index' // 案场信息
import keyManger from './caseManger/keyManger/index' // 钥匙管理
import caseAreaManger from './caseManger/caseAreaManger/index' // 案场区域管理
import caseTableManger from './caseManger/caseTableManger/index' // 案场桌位管理

import courseManger from './courseManger/index' // 课程管理
import fiveA from './courseManger/fiveA/index' // 全龄生活5A
import courseTag from './courseManger/courseTag/index' // 课程标签

import systemSet from './systemSet/index' // 系统设置
import userManger from './systemSet/userManger/index' // 用户管理
import characterManger from './systemSet/characterManger/index' // 角色管理

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 系统设置
        path: 'systemSet',
        name: 'systemSet',
        component: systemSet,
        children: [{ // 用户管理
          path: 'userManger',
          name: 'userManger',
          component: userManger,
          children: []
        }, { // 角色管理
          path: 'characterManger',
          name: 'characterManger',
          component: characterManger,
          children: []
        }],
      }, { // 案场管理
        path: 'caseManger',
        name: 'caseManger',
        component: caseManger,
        children: [{ // 案场信息
          path: 'caseInfo',
          name: 'caseInfo',
          component: caseInfo,
          children: []
        }, { // 钥匙管理
          path: 'keyManger',
          name: 'keyManger',
          component: keyManger,
          children: []
        }, { // 案场区域管理
          path: 'caseAreaManger',
          name: 'caseAreaManger',
          component: caseAreaManger,
          children: []
        }, { // 案场桌位管理
          path: 'caseTableManger',
          name: 'caseTableManger',
          component: caseTableManger,
          children: []
        }],
      }, { // 渠道管理
        path: 'channelManger',
        name: 'channelManger',
        component: channelManger,
        children: [{ // 渠道列表
          path: 'channelList',
          name: 'channelList',
          component: channelList,
          children: []
        }],
      }, { // 课程管理
        path: 'courseManger',
        name: 'courseManger',
        component: courseManger,
        children: [{ // 全龄生活5A
          path: 'fiveA',
          name: 'fiveA',
          component: fiveA,
          children: []
        }, { // 课程标签
          path: 'courseTag',
          name: 'courseTag',
          component: courseTag,
          children: []
        }],
      }],
    },
  ],
}
